LINUX.ORG.RU

K-Develop


0

0

Люди, помогите! Поставил я себе RedHat последний, в нем K-Develop...(жене надо :) ) Сам я в этом профан полный. Но это все лирика. Ну так вот. Запускаю K-Develop, делаю Project->New, выбираю KDE-KDE Mini и жму Next. (Опишу все подробно, поскольку не могу понять, чего он от меня хочет). Указываю имя проекта, и т.д.; Флажки установлены все: generate source and headers; GNU-Standart files; User documentation; API documentation; Ism-File - Linux software map; .desktop file; Program icon; Mini icon; Жму Next VCS Support выставлен в None - так и оставляю опять Next просматриваю headertemplate for .h - files и headertemplate for .cpp - files опять Next и здесь давлю Create Сразу выскакивает мессага "If you want to generate the user documentation, you need one of these programs" Выбор не велик, поэтому отвечаю "Ок"; Начинает генериться прога, выскакивают в нижней части окна всякие ворнинги: shell-init: could not get current directory: getcwd: cannot access parent directories: No such file of directory; shell-init: could not get current directory: getcwd: cannot access parent directories: No such file of directory; (почему-то именно два раза) configure.in: 44: warning: do not use m4_patsubst: use patsubst or m4_bpatsubst configure.in: 75: warning: do not use m4_regexp: use regexp or m4_bregexp sh: line 1: kdoc: command not found

Ну потом код все равно генерится, а вот при попытке запуска постоянно какая-то ботва:

your implementation of AM_INIT_AUTOMAKE comes from an old Automake version. You should recreate aclocal.m4 with aclocal and run automake again.

Народ, подскажите, плз., хоть кто-нибудь чего-нибудь понял?

anonymous

Re: K-Develop

убедись что у тебя стоят
kdelibs-devel
qt-devel
kdoc
automake
autoconf

anonymous ()
Ответ на: Re: K-Develop от anonymous

Re: Re: K-Develop

Как? //я же писал, что не понимаю ни в девелопе, ни в линухах.....а надо

anonymous ()
Ответ на: Re: Re: K-Develop от anonymous

Re: Re: Re: K-Develop

ну блин, диски с шапкой есть? найди там эти пакеты и поставь командой rpm -Uvh пакет

anonymous ()

Re: K-Develop

я тоже хочу жену-программиста :)

grustnoe ★★ ()

Re: K-Develop

Я когда ставил линух - я выбрал все пакеты. А в самом линухе где посмотреть перечень установленных пакетов?

anonymous ()

Re: K-Develop

ты, случаем, не Linux-9.0 поставил? :) Если так - то rpm -qa. Это надо набирать в командной строчке. Потом нажать enter

grustnoe ★★ ()
Ответ на: Re: K-Develop от grustnoe

Re: Re: K-Develop

а что такое Linux-9.0 ?

anonymous ()

Re: K-Develop

Привет, нужно запустить aclocal в корне твоего проекта. и всё будет ок.

arkhivania ()
Ответ на: Re: K-Develop от arkhivania

Re: Re: K-Develop

запустил aclocal Да, какой-то эффект есть - при компиляции дальше проходит. Но все рано еще не до конца. Теперь ругается так: /usr/bin/ld cannot find -lart_lgpl_2 Чё за фигня. Залез я в этот /usr/bin/ld и увидел там исполняемые файлы: @autoconfig, automake-1.4, automake-1.5, automake-1.5 - они что делают? может с ними позабавиться. Жена принесла сформированный проект с работы - дома он запускается, т.е., я так понял, что K-Develop сам работает, он только не может правильно проект создать. Короче взываю к вам с призывом F1.

Спасибо всем кто помогает.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.